<?php
// +----------------------------------------------------------------------
// | 管理员操作日志查询
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Auth;

use app\common\controller\_Admin;
use app\admin\model\AuthAdminAction as ActionLog;
use app\admin\model\AuthAdmin as Admin;

class admin_action_log extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }

        $this->assign('admin_name', Admin::where('id', $param['id'])->value('nick'));
        $this->assign('id', $param['id']);
        return $this->fetch('auth/admin/action_log');
    }

    // 列表
    private function showlist($param=[]) {
        $where = $this->_where($param);
        $list = ActionLog::where($where)->order('id DESC')->page($param['page'])->limit($param['limit'])->select();
        $count = ActionLog::where($where)->count();
        return self::_list('0', '', $count, $list);
    }

    // 搜索条件
    private function _where($param=[]) {
        $where = [];
        $where['admin'] = ['=', $param['id']];
        if (self::isset_empty($param, 'msg')) {
            $where[] =  ['msg','like', "%".$param['msg']."%"];
        }
        if (self::isset_empty($param, 'name')) {
            $where[] = ['url','like', "%".$param['url']."%"];
        }
        return $where;
    }

}
