<?php
// +----------------------------------------------------------------------
// | 缩略图查询
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Banner;

use app\common\controller\_Admin;
use app\admin\model\Banner;
use app\admin\model\BannerType as Type;

class index extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }
        $type = Type::order('sort DESC, id DESC')->all();
        $this->assign('type', $type);
        return $this->fetch('banner/index');
    }

    // 列表
    private function showlist($param=[]) {
        $where = $this->_where($param);
        $list = Banner::alias('A')->join('banner_type B', 'A.type_id = B.id', 'LEFT')->where($where)->order('id DESC')->field('A.*, B.title as type_title')->page($param['page'])->limit($param['limit'])->select();
        $count = Banner::alias('A')->join('banner_type B', 'A.type_id = B.id', 'LEFT')->where($where)->count();

        return self::_list('0', '', $count, $list);
    }

    // 搜索条件
    private function _where($param=[]) {
        $where = [];
        if (self::isset_empty($param, 'title')) {
            $where[] =  ['A.title','like', "%".$param['title']."%"];
        }

        if (self::isset_empty($param, 'type_id')) {
            $where['A.type_id'] = $param['type_id'];
        }
        return $where;
    }

}
