<?php
// +----------------------------------------------------------------------
// | 新增
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\Banner;

use app\common\controller\_Admin;
use app\admin\model\Banner;
use app\admin\model\BannerType as Type;

class insert extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->insert($param);
        }

        $type = Type::order('sort DESC, id DESC')->all();
        $this->assign('type', $type);
        return $this->fetch('banner/insert');
    }

    // 新增
    private function insert($param=[]) {
        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $param = $this->_param($param);

        $res = Banner::create($param);
        if ($res != false) {
            return $this->_json('00', '新增成功！');
        }

        return $this->_json('01', '新增失败！');
    }

    // 参数前置处理
    private function _param($param=[]) {

        // 图片上传
        if (!empty($_FILES['portrait']['name']) && !self::isset_empty($param, 'img')) {
            $file = request()->file('portrait');
            $info = $file->validate(['size'=>15678,'ext'=>'jpg,png,gif'])->move(ROOT_PATH.__PULOADS__);
            if($info){
                $param['img'] = __PULOADS__.'/'.str_replace('\\', '/', $info->getSaveName()); 
            }
        }
        unset($param['portrait']);
        
        return $param;
    }

    // 新增条件过滤
    private function _where($param=[]) {
        if (!self::isset_empty($param, 'title')) return $this->_json('01', '请输入标题名称');
        
        return true;
    }

}
