<?php
// +----------------------------------------------------------------------
// | 文章查询
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\News;

use app\common\controller\_Admin;
use app\admin\model\NewsType as Type;
use app\admin\model\News;

class index extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }
        $this->_type();
        return $this->fetch('news/index');
    }

    // 列表
    private function showlist($param=[]) {
        $where = $this->_where($param);
        $list = News::alias('A')->join('news_type B', 'A.type_id = B.id', 'LEFT')->where($where)->order('A.top DESC, A.sort DESC, A.id DESC')->field('A.*, B.title as type_title')->page($param['page'])->limit($param['limit'])->select();
        $count = News::alias('A')->where($where)->count();
        return self::_list('0', '', $count, $list);
    }

    // 获取 分类
    private function _type($param=[]) {
        $list = Type::all(function ($query){
            $query->field('id,title,level')->order('path ASC, sort DESC');
        });
        $count = count($list);
        
        foreach ($list as $k=>$v) {
            $nbsp = '';
            for ($i=1; $i<$v['level']; $i++) {
                $nbsp .= '&nbsp;&nbsp;';
            }
            if (!empty($nbsp)) {
                $list[$k]['title'] = $nbsp.'├─'.$v['title'];
                if ($v['level'] != $list[$k-1]['level']) {
                    $list[$k-1]['title'] = str_replace('├─','└─', $list[$k-1]['title']);
                }
                if ($k+1 == $count) {
                    $list[$k]['title'] = str_replace('├─','└─', $list[$k]['title']);
                }
            }
        }
       
        $this->assign('type', $list);
    }

    // 搜索条件
    private function _where($param=[]) {
        $where = [];
        if (self::isset_empty($param, 'title')) {
            $where[] =  ['A.title','like', "%".$param['title']."%"];
        }
        if (self::isset_empty($param, 'status')) {
            $where['A.status'] = $param['status'];
        }
        if (self::isset_empty($param, 'type')) {
            $where['A.type_id'] = $param['type'];
        }
        if (self::isset_empty($param, 'top')) {
            $where['A.top'] = $param['top'];
        }
        return $where;
    }

}
