<?php
// +----------------------------------------------------------------------
// | 分类查询
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\News;

use app\common\controller\_Admin;
use app\admin\model\NewsType as Type;

class type_list extends _Admin
{
   
    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->showlist($param);
        }
        return $this->fetch('news/type_list');
    }

    // 列表
    private function showlist($param=[]) {
        $where = $this->_where($param);
        $list = Type::all(function ($query) use($where,$param){
            $query->where($where)->order('path ASC, sort DESC')->page($param['page'])->limit($param['limit']);
        });

        $count = Type::where($where)->count();
        foreach ($list as $k=>$v) {
            $nbsp = '';
            for ($i=1; $i<$v['level']; $i++) {
                $nbsp .= '&nbsp;&nbsp;';
            }
            if (!empty($nbsp)) {
                $list[$k]['title'] = $nbsp.'├─'.$v['title'];
                if ($v['level'] != $list[$k-1]['level']) {
                    $list[$k-1]['title'] = str_replace('├─','└─', $list[$k-1]['title']);
                }
                if ($k+1 == $count) {
                    $list[$k]['title'] = str_replace('├─','└─', $list[$k]['title']);
                }
            }
        }
        return self::_list('0', '', $count, $list);
    }

    // 搜索条件
    private function _where($param=[]) {
        $where = [];
        if (self::isset_empty($param, 'title')) {
            $where['title'] = $param['title'];
        }

        return $where;
    }

}
