<?php
// +----------------------------------------------------------------------
// | 修改
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\admin\controller\News;

use app\common\controller\_Admin;
use app\admin\model\NewsType as Type;
use app\admin\model\News;

class update extends _Admin
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    // 统一返回方法
    // $param 必留，用于接收get、post的参数传递
    public function run($param=[]) {
        if (\think\facade\Request::isAjax()) {
            return $this->update($param);
        }

        $this->assign('info', News::where('id', $param['id'])->find());
        $this->_type();
        return $this->fetch('news/update');
    }

    // 获取 分类
    private function _type($param=[]) {
        $list = Type::all(function ($query){
            $query->field('id,title,level')->order('path ASC, sort DESC');
        });
        $count = count($list);
        
        foreach ($list as $k=>$v) {
            $nbsp = '';
            for ($i=1; $i<$v['level']; $i++) {
                $nbsp .= '&nbsp;&nbsp;';
            }
            if (!empty($nbsp)) {
                $list[$k]['title'] = $nbsp.'├─'.$v['title'];
                if ($v['level'] != $list[$k-1]['level']) {
                    $list[$k-1]['title'] = str_replace('├─','└─', $list[$k-1]['title']);
                }
                if ($k+1 == $count) {
                    $list[$k]['title'] = str_replace('├─','└─', $list[$k]['title']);
                }
            }
        }
        
        $this->assign('type', $list);
    }

    // 修改
    private function update($param=[]) {
        $vif = $this->_where($param);
        if ($vif !== true) return $vif;

        $param = $this->_param($param);

        $res = News::update($param);
        if ($res != false) {
            return $this->_json('00', '修改成功！');
        }

        return $this->_json('01', '修改失败！');
    }

    // 参数前置处理
    private function _param($param=[]) {

        // 图片上传
        if (!empty($_FILES['portrait']['name']) && !self::isset_empty($param, 'img')) {
            $file = request()->file('portrait');
            $info = $file->validate(['size'=>15678,'ext'=>'jpg,png,gif'])->move(ROOT_PATH.__PULOADS__);
            if($info){
                $param['img'] = __PULOADS__.'/'.str_replace('\\', '/', $info->getSaveName()); 
            }
        } else if(empty($_FILES['portrait']['name']) && !self::isset_empty($param, 'img')) {
            // 不上传，又不提交地址，抓取内容图片做缩略图
            $param['img'] = get_imgurl($param['content']);
        }
        unset($param['portrait']);

        return $param;
    }

    // 条件过滤
    private function _where($param=[]) {
        if (!self::isset_empty($param, 'title')) return $this->_json('01', '请输入文章标题');
        
        return true;
    }

}
