/*
Navicat MySQL Data Transfer

Source Server         : 本地数据库
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : thinkphp5_1

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2019-05-31 16:06:23
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for tp_auth_admin
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin`;
CREATE TABLE `tp_auth_admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) DEFAULT NULL COMMENT '用户名',
  `pwd` varchar(32) DEFAULT NULL COMMENT 'DM5后的密码',
  `nick` varchar(32) DEFAULT NULL COMMENT '昵称',
  `logo` varchar(120) DEFAULT NULL COMMENT '头像地址',
  `role` int(11) DEFAULT NULL COMMENT '角色ID',
  `phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `type` tinyint(1) DEFAULT '1' COMMENT '身份 1|2|3 管理员|加盟商|商户',
  `auto_time` int(10) DEFAULT NULL COMMENT '七天登录 - 过期时间',
  `auto_rand` int(8) DEFAULT NULL COMMENT '七天登录 - 秘钥',
  `auto_ip` varchar(32) DEFAULT NULL COMMENT '七天登录 - IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `role` (`role`) USING BTREE,
  KEY `name` (`name`),
  KEY `phone` (`phone`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员';

-- ----------------------------
-- Records of tp_auth_admin
-- ----------------------------
INSERT INTO `tp_auth_admin` VALUES ('1', 'admin', '1e9cc7b0bad90033900d375b9e839288', '小黄牛', null, '0', '15992431688', '1', '1', '1559871935', '325431', '127.0.0.1', '1557736403', '1557804808');

-- ----------------------------
-- Table structure for tp_auth_admin_action
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_action`;
CREATE TABLE `tp_auth_admin_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=126 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- ----------------------------
-- Records of tp_auth_admin_action
-- ----------------------------
INSERT INTO `tp_auth_admin_action` VALUES ('13', '1', 'auth/admin_action_delete', '共：1条数据，成功删除：12条！', '{\"id\":[{\"id\":\"12\",\"admin\":\"1\",\"url\":\"auth\\/admin_login_delete\",\"msg\":\"共：1条数据，成功删除：7条！\",\"param\":\"{\\\"id\\\":[{\\\"id\\\":\\\"2\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-13 17:40:41\\\"},{\\\"id\\\":\\\"3\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:09:40\\\"},{\\\"id\\\":\\\"4\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:38:50\\\"},{\\\"id\\\":\\\"5\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:40:22\\\"},{\\\"id\\\":\\\"6\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:43:37\\\"},{\\\"id\\\":\\\"7\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:46:57\\\"},{\\\"id\\\":\\\"8\\\",\\\"admin\\\":\\\"1\\\",\\\"ip\\\":\\\"127.0.0.1\\\",\\\"province\\\":\\\"本地\\\",\\\"city\\\":\\\"本地\\\",\\\"area\\\":\\\"本地\\\",\\\"create_time\\\":\\\"2019-05-14 09:55:06\\\"}]}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:40:10\",\"update_time\":\"2019-05-14 10:40:10\"},{\"id\":\"11\",\"admin\":\"1\",\"url\":\"auth\\/admin_login_delete\",\"msg\":\"共：1条数据，成功删除：1条！\",\"param\":\"{\\\"id\\\":[{\\\"id\\\":\\\"1\\\"}]}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:40:07\",\"update_time\":\"2019-05-14 10:40:07\"},{\"id\":\"10\",\"admin\":\"1\",\"url\":\"auth\\/admin_menu\",\"msg\":\"修改成功！\",\"param\":\"{\\\"id\\\":\\\"1\\\",\\\"admin\\\":\\\"1\\\",\\\"menu_list\\\":\\\"12,13,22,28,31,29,30\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:38:33\",\"update_time\":\"2019-05-14 10:38:33\"},{\"id\":\"9\",\"admin\":\"1\",\"url\":\"auth\\/menu_insert\",\"msg\":\"创建成功！\",\"param\":\"{\\\"pid\\\":\\\"28\\\",\\\"name\\\":\\\"删除\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_action_delete\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:38:18\",\"update_time\":\"2019-05-14 10:38:18\"},{\"id\":\"8\",\"admin\":\"1\",\"url\":\"auth\\/menu_insert\",\"msg\":\"创建成功！\",\"param\":\"{\\\"pid\\\":\\\"29\\\",\\\"name\\\":\\\"删除\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_login_delete\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:38:03\",\"update_time\":\"2019-05-14 10:38:03\"},{\"id\":\"7\",\"admin\":\"1\",\"url\":\"auth\\/menu_update\",\"msg\":\"修改成功！\",\"param\":\"{\\\"id\\\":\\\"29\\\",\\\"name\\\":\\\"操作日志\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_action_log\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:27:12\",\"update_time\":\"2019-05-14 10:27:12\"},{\"id\":\"6\",\"admin\":\"1\",\"url\":\"auth\\/menu_update\",\"msg\":\"修改成功！\",\"param\":\"{\\\"id\\\":\\\"29\\\",\\\"name\\\":\\\"操作日志\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_aciton_log\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:26:47\",\"update_time\":\"2019-05-14 10:26:47\"},{\"id\":\"5\",\"admin\":\"1\",\"url\":\"auth\\/admin_menu\",\"msg\":\"修改成功！\",\"param\":\"{\\\"id\\\":\\\"1\\\",\\\"admin\\\":\\\"1\\\",\\\"menu_list\\\":\\\"12,13,22,28,29\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:24:35\",\"update_time\":\"2019-05-14 10:24:35\"},{\"id\":\"4\",\"admin\":\"1\",\"url\":\"auth\\/menu_insert\",\"msg\":\"创建成功！\",\"param\":\"{\\\"pid\\\":\\\"22\\\",\\\"name\\\":\\\"操作日志\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_action_log\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:21:58\",\"update_time\":\"2019-05-14 10:21:58\"},{\"id\":\"3\",\"admin\":\"1\",\"url\":\"auth\\/menu_update\",\"msg\":\"修改成功！\",\"param\":\"{\\\"id\\\":\\\"28\\\",\\\"name\\\":\\\"登录日志\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_login_log\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"0\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:21:36\",\"update_time\":\"2019-05-14 10:21:36\"},{\"id\":\"2\",\"admin\":\"1\",\"url\":\"auth\\/menu_insert\",\"msg\":\"创建成功！\",\"param\":\"{\\\"pid\\\":\\\"22\\\",\\\"name\\\":\\\"登录日志\\\",\\\"controller\\\":\\\"auth\\\",\\\"action\\\":\\\"admin_login_log\\\",\\\"icon\\\":\\\"\\\",\\\"sort\\\":\\\"0\\\",\\\"status\\\":\\\"1\\\",\\\"display\\\":\\\"1\\\",\\\"public\\\":\\\"0\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:21:30\",\"update_time\":\"2019-05-14 10:21:30\"},{\"id\":\"1\",\"admin\":\"1\",\"url\":\"auth\\/admin_insert\",\"msg\":\"用户名已存在!\",\"param\":\"{\\\"nick\\\":\\\"123\\\",\\\"name\\\":\\\"123\\\",\\\"pwd\\\":\\\"123\\\",\\\"phone\\\":\\\"123\\\",\\\"role\\\":\\\"0\\\",\\\"type\\\":\\\"1\\\",\\\"status\\\":\\\"1\\\"}\",\"ip\":\"127.0.0.1\",\"create_time\":\"2019-05-14 10:20:06\",\"update_time\":\"2019-05-14 10:20:06\"}]}', '127.0.0.1', '1557803210', '1557803210');
INSERT INTO `tp_auth_admin_action` VALUES ('14', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"10\",\"name\":\"修改密码\",\"controller\":\"auth\",\"action\":\"admin_pwd\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"public\":\"1\",\"display\":\"0\"}', '127.0.0.1', '1557803756', '1557803756');
INSERT INTO `tp_auth_admin_action` VALUES ('15', '1', 'auth/admin_pwd', '请输入当前密码', '{\"pwd\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\",\"status\":\"0\"}', '127.0.0.1', '1557803850', '1557803850');
INSERT INTO `tp_auth_admin_action` VALUES ('16', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin1\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803883', '1557803883');
INSERT INTO `tp_auth_admin_action` VALUES ('17', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803885', '1557803885');
INSERT INTO `tp_auth_admin_action` VALUES ('18', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803887', '1557803887');
INSERT INTO `tp_auth_admin_action` VALUES ('19', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803888', '1557803888');
INSERT INTO `tp_auth_admin_action` VALUES ('20', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803890', '1557803890');
INSERT INTO `tp_auth_admin_action` VALUES ('21', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803903', '1557803903');
INSERT INTO `tp_auth_admin_action` VALUES ('22', '1', 'auth/admin_pwd', '当前密码错误！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803907', '1557803907');
INSERT INTO `tp_auth_admin_action` VALUES ('23', '1', 'auth/admin_pwd', '修改成功！', '{\"pwd1\":\"admin\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557803927', '1557803927');
INSERT INTO `tp_auth_admin_action` VALUES ('24', null, 'login/handle', '用户名或密码错误', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1557803945', '1557803945');
INSERT INTO `tp_auth_admin_action` VALUES ('25', null, 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"zxc123\"}', '127.0.0.1', '1557803947', '1557803947');
INSERT INTO `tp_auth_admin_action` VALUES ('26', '1', 'auth/admin_pwd', '修改成功！', '{\"pwd1\":\"zxc123\",\"pwd2\":\"zxc123\",\"pwd3\":\"zxc123\"}', '127.0.0.1', '1557804001', '1557804001');
INSERT INTO `tp_auth_admin_action` VALUES ('27', null, 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"zxc123\"}', '127.0.0.1', '1557804145', '1557804145');
INSERT INTO `tp_auth_admin_action` VALUES ('28', '1', 'auth/admin_delete', '共：1条数据，成功删除：1条！', '{\"id\":[{\"id\":\"2\"}]}', '127.0.0.1', '1557804154', '1557804154');
INSERT INTO `tp_auth_admin_action` VALUES ('29', '1', 'auth/admin_delete', '系统不允许删除admin账号！', '{\"id\":[{\"id\":\"1\"}]}', '127.0.0.1', '1557804156', '1557804156');
INSERT INTO `tp_auth_admin_action` VALUES ('30', '1', 'auth/admin_update', '修改成功！', '{\"id\":\"1\",\"nick\":\"小黄牛\",\"name\":\"admin\",\"pwd\":\"admin\",\"phone\":\"15992431680\",\"role\":\"0\",\"type\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1557804165', '1557804165');
INSERT INTO `tp_auth_admin_action` VALUES ('31', '1', 'auth/admin_update', '修改成功！', '{\"id\":\"1\",\"nick\":\"小黄牛\",\"name\":\"admin\",\"pwd\":\"\",\"phone\":\"15992431688\",\"role\":\"0\",\"type\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1557804174', '1557804174');
INSERT INTO `tp_auth_admin_action` VALUES ('32', null, 'login/handle', '用户名或密码错误', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1557804540', '1557804540');
INSERT INTO `tp_auth_admin_action` VALUES ('33', null, 'login/handle', '用户名或密码错误', '{\"username\":\"admin\",\"password\":\"admin\",\"remember\":\"1\"}', '127.0.0.1', '1557804545', '1557804545');
INSERT INTO `tp_auth_admin_action` VALUES ('34', null, 'login/handle', '用户名或密码错误', '{\"username\":\"admin\",\"password\":\"zxc123\",\"remember\":\"1\"}', '127.0.0.1', '1557804548', '1557804548');
INSERT INTO `tp_auth_admin_action` VALUES ('35', null, 'login/handle', '用户名或密码错误', '{\"username\":\"admin\",\"password\":\"zxc123\"}', '127.0.0.1', '1557804551', '1557804551');
INSERT INTO `tp_auth_admin_action` VALUES ('36', null, 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1557804744', '1557804744');
INSERT INTO `tp_auth_admin_action` VALUES ('37', '1', 'auth/admin_update', '修改成功！', '{\"id\":\"1\",\"nick\":\"小黄牛\",\"name\":\"admin\",\"pwd\":\"admin\",\"phone\":\"15992431688\",\"role\":\"0\",\"type\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1557804758', '1557804758');
INSERT INTO `tp_auth_admin_action` VALUES ('38', '1', 'auth/admin_update', '修改成功！', '{\"id\":\"1\",\"nick\":\"小黄牛\",\"name\":\"admin\",\"pwd\":\"\",\"phone\":\"15992431688\",\"role\":\"0\",\"type\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1557804765', '1557804765');
INSERT INTO `tp_auth_admin_action` VALUES ('39', '1', 'auth/admin_update', '修改成功！', '{\"id\":\"1\",\"nick\":\"小黄牛\",\"name\":\"admin\",\"pwd\":\"\",\"phone\":\"15992431688\",\"role\":\"0\",\"type\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1557804808', '1557804808');
INSERT INTO `tp_auth_admin_action` VALUES ('40', null, 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\"}', '127.0.0.1', '1559202820', '1559202820');
INSERT INTO `tp_auth_admin_action` VALUES ('41', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"0\",\"name\":\"网站管理\",\"controller\":\"\",\"action\":\"\",\"icon\":\"set\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559203254', '1559203254');
INSERT INTO `tp_auth_admin_action` VALUES ('42', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"33\",\"name\":\"网站配置\",\"controller\":\"config\",\"action\":\"index\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559203269', '1559203269');
INSERT INTO `tp_auth_admin_action` VALUES ('43', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"34\",\"name\":\"修改\",\"controller\":\"config\",\"action\":\"update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559203285', '1559203285');
INSERT INTO `tp_auth_admin_action` VALUES ('44', '1', 'config/update', '修改成功！', '{\"id\":\"1\",\"title\":\"1\",\"keys\":\"2\",\"des\":\"3\"}', '127.0.0.1', '1559204492', '1559204492');
INSERT INTO `tp_auth_admin_action` VALUES ('45', '1', 'config/update', '修改成功！', '{\"id\":\"1\",\"title\":\"3\",\"keys\":\"4\",\"des\":\"5\"}', '127.0.0.1', '1559204546', '1559204546');
INSERT INTO `tp_auth_admin_action` VALUES ('46', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"33\",\"name\":\"轮播图管理\",\"controller\":\"\",\"action\":\"\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559205193', '1559205193');
INSERT INTO `tp_auth_admin_action` VALUES ('47', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"36\",\"name\":\"分类\",\"controller\":\"banner\",\"action\":\"type_list\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559205263', '1559205263');
INSERT INTO `tp_auth_admin_action` VALUES ('48', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"37\",\"name\":\"新增\",\"controller\":\"banner\",\"action\":\"type_insert\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205283', '1559205283');
INSERT INTO `tp_auth_admin_action` VALUES ('49', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"37\",\"name\":\"修改\",\"controller\":\"banner\",\"action\":\"type_update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205298', '1559205298');
INSERT INTO `tp_auth_admin_action` VALUES ('50', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"37\",\"name\":\"删除\",\"controller\":\"banner\",\"action\":\"type_delete\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205312', '1559205312');
INSERT INTO `tp_auth_admin_action` VALUES ('51', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"36\",\"name\":\"轮播图\",\"controller\":\"banner\",\"action\":\"index\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559205334', '1559205334');
INSERT INTO `tp_auth_admin_action` VALUES ('52', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"41\",\"name\":\"新增\",\"controller\":\"banner\",\"action\":\"insert\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205344', '1559205344');
INSERT INTO `tp_auth_admin_action` VALUES ('53', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"41\",\"name\":\"修改\",\"controller\":\"banner\",\"action\":\"update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205357', '1559205357');
INSERT INTO `tp_auth_admin_action` VALUES ('54', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"41\",\"name\":\"删除\",\"controller\":\"banner\",\"action\":\"delete\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559205368', '1559205368');
INSERT INTO `tp_auth_admin_action` VALUES ('55', '1', 'banner/type_insert', '新增成功！', '{\"title\":\"222\",\"sort\":\"0\"}', '127.0.0.1', '1559207786', '1559207786');
INSERT INTO `tp_auth_admin_action` VALUES ('56', '1', 'banner/type_delete', '共：1条数据，成功删除：1条！', '{\"id\":[{\"id\":\"1\",\"title\":\"222\",\"sort\":\"0\",\"create_time\":\"2019-05-30 17:16:26\",\"update_time\":\"2019-05-30 17:16:26\"}]}', '127.0.0.1', '1559207878', '1559207878');
INSERT INTO `tp_auth_admin_action` VALUES ('57', '1', 'banner/type_insert', '新增成功！', '{\"title\":\"2222\",\"sort\":\"0\"}', '127.0.0.1', '1559208087', '1559208087');
INSERT INTO `tp_auth_admin_action` VALUES ('58', '1', 'banner/type_insert', '新增成功！', '{\"title\":\"333\",\"sort\":\"0\"}', '127.0.0.1', '1559208090', '1559208090');
INSERT INTO `tp_auth_admin_action` VALUES ('59', '1', 'banner/type_update', '修改成功！', '{\"id\":\"3\",\"title\":\"444\",\"sort\":\"0\"}', '127.0.0.1', '1559208153', '1559208153');
INSERT INTO `tp_auth_admin_action` VALUES ('60', '1', 'banner/type_update', '修改成功！', '{\"id\":\"2\",\"title\":\"2222\",\"sort\":\"1\"}', '127.0.0.1', '1559208158', '1559208158');
INSERT INTO `tp_auth_admin_action` VALUES ('61', null, 'login/handle', '登录成功~！', '{\"username\":\"admin\",\"password\":\"admin\",\"remember\":\"1\"}', '127.0.0.1', '1559267135', '1559267135');
INSERT INTO `tp_auth_admin_action` VALUES ('62', '1', 'banner/delete', '共：1条数据，成功删除：1条！', '{\"id\":[{\"id\":\"1\",\"type_id\":\"2\",\"title\":\"\",\"href\":\"\",\"img\":\"\",\"sort\":\"0\",\"status\":\"0\",\"create_time\":\"\",\"update_time\":\"\",\"type_title\":\"2222\"}]}', '127.0.0.1', '1559267246', '1559267246');
INSERT INTO `tp_auth_admin_action` VALUES ('63', '1', 'banner/insert', '新增成功！', '{\"title\":\"333333\",\"type_id\":\"3\",\"des\":\"4444444\",\"sort\":\"5\",\"img\":\"6\"}', '127.0.0.1', '1559268401', '1559268401');
INSERT INTO `tp_auth_admin_action` VALUES ('64', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"41\",\"name\":\"修改状态\",\"controller\":\"banner\",\"action\":\"status\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559268817', '1559268817');
INSERT INTO `tp_auth_admin_action` VALUES ('65', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1559268895', '1559268895');
INSERT INTO `tp_auth_admin_action` VALUES ('66', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"0\"}', '127.0.0.1', '1559268898', '1559268898');
INSERT INTO `tp_auth_admin_action` VALUES ('67', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1559268901', '1559268901');
INSERT INTO `tp_auth_admin_action` VALUES ('68', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"0\"}', '127.0.0.1', '1559268902', '1559268902');
INSERT INTO `tp_auth_admin_action` VALUES ('69', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"1\"}', '127.0.0.1', '1559268902', '1559268902');
INSERT INTO `tp_auth_admin_action` VALUES ('70', '1', 'banner/status', '状态变更成功！', '{\"id\":\"1\",\"status\":\"0\"}', '127.0.0.1', '1559268903', '1559268903');
INSERT INTO `tp_auth_admin_action` VALUES ('71', '1', 'banner/update', '修改成功！', '{\"id\":\"1\",\"title\":\"测试\",\"type_id\":\"2\",\"href\":\"http:\\/\\/www.c.com\\/\",\"des\":\"测试而已\",\"sort\":\"10\",\"img\":\"\"}', '127.0.0.1', '1559269209', '1559269209');
INSERT INTO `tp_auth_admin_action` VALUES ('72', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"33\",\"name\":\"文章管理\",\"controller\":\"\",\"action\":\"\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559269355', '1559269355');
INSERT INTO `tp_auth_admin_action` VALUES ('73', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"46\",\"name\":\"文章分类\",\"controller\":\"news\",\"action\":\"type_list\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559269374', '1559269374');
INSERT INTO `tp_auth_admin_action` VALUES ('74', '1', 'auth/menu_update', '修改成功！', '{\"id\":\"47\",\"name\":\"分类\",\"controller\":\"news\",\"action\":\"type_list\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559269385', '1559269385');
INSERT INTO `tp_auth_admin_action` VALUES ('75', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"47\",\"name\":\"新增\",\"controller\":\"news\",\"action\":\"type_insert\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559269547', '1559269547');
INSERT INTO `tp_auth_admin_action` VALUES ('76', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"47\",\"name\":\"删除\",\"controller\":\"news\",\"action\":\"type_delete\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559269564', '1559269564');
INSERT INTO `tp_auth_admin_action` VALUES ('77', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"47\",\"name\":\"修改\",\"controller\":\"news\",\"action\":\"type_update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559269579', '1559269579');
INSERT INTO `tp_auth_admin_action` VALUES ('78', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"46\",\"name\":\"文章\",\"controller\":\"news\",\"action\":\"index\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"1\",\"public\":\"0\"}', '127.0.0.1', '1559271960', '1559271960');
INSERT INTO `tp_auth_admin_action` VALUES ('79', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"51\",\"name\":\"新增\",\"controller\":\"news\",\"action\":\"insert\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559271973', '1559271973');
INSERT INTO `tp_auth_admin_action` VALUES ('80', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"51\",\"name\":\"修改\",\"controller\":\"news\",\"action\":\"update\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559271982', '1559271982');
INSERT INTO `tp_auth_admin_action` VALUES ('81', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"51\",\"name\":\"删除\",\"controller\":\"news\",\"action\":\"delete\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559271994', '1559271994');
INSERT INTO `tp_auth_admin_action` VALUES ('82', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"51\",\"name\":\"修改状态\",\"controller\":\"news\",\"action\":\"status\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559272006', '1559272006');
INSERT INTO `tp_auth_admin_action` VALUES ('83', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"0\",\"title\":\"123\",\"sort\":\"0\"}', '127.0.0.1', '1559273454', '1559273454');
INSERT INTO `tp_auth_admin_action` VALUES ('84', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"1\",\"title\":\"3333\",\"sort\":\"0\"}', '127.0.0.1', '1559273499', '1559273499');
INSERT INTO `tp_auth_admin_action` VALUES ('85', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"1\",\"title\":\"33333\",\"sort\":\"0\"}', '127.0.0.1', '1559273624', '1559273624');
INSERT INTO `tp_auth_admin_action` VALUES ('86', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"3\",\"title\":\"123132\",\"sort\":\"0\"}', '127.0.0.1', '1559273793', '1559273793');
INSERT INTO `tp_auth_admin_action` VALUES ('87', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"3\",\"title\":\"123\",\"sort\":\"0\"}', '127.0.0.1', '1559273803', '1559273803');
INSERT INTO `tp_auth_admin_action` VALUES ('88', '1', 'news/type_delete', '共：1条数据，成功删除：5条！', '{\"id\":[{\"id\":\"1\",\"pid\":\"0\",\"title\":\"123\",\"path\":\"1\",\"level\":\"1\",\"sort\":\"0\",\"create_time\":\"2019-05-31 11:30:54\",\"update_time\":\"2019-05-31 11:30:54\"},{\"id\":\"2\",\"pid\":\"1\",\"title\":\"&nbsp;&nbsp;├─3333\",\"path\":\"1\\/2\",\"level\":\"2\",\"sort\":\"0\",\"create_time\":\"2019-05-31 11:31:39\",\"update_time\":\"2019-05-31 11:31:39\"},{\"id\":\"3\",\"pid\":\"1\",\"title\":\"&nbsp;&nbsp;└─33333\",\"path\":\"1\\/3\",\"level\":\"2\",\"sort\":\"0\",\"create_time\":\"2019-05-31 11:33:44\",\"update_time\":\"2019-05-31 11:33:44\"},{\"id\":\"4\",\"pid\":\"3\",\"title\":\"&nbsp;&nbsp;&nbsp;&nbsp;├─123132\",\"path\":\"1\\/3\\/4\",\"level\":\"3\",\"sort\":\"0\",\"create_time\":\"2019-05-31 11:36:33\",\"update_time\":\"2019-05-31 11:36:33\"},{\"id\":\"5\",\"pid\":\"3\",\"title\":\"&nbsp;&nbsp;&nbsp;&nbsp;└─123\",\"path\":\"1\\/3\\/5\",\"level\":\"3\",\"sort\":\"0\",\"create_time\":\"2019-05-31 11:36:43\",\"update_time\":\"2019-05-31 11:36:43\"}]}', '127.0.0.1', '1559274095', '1559274095');
INSERT INTO `tp_auth_admin_action` VALUES ('89', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"0\",\"title\":\"一级\",\"sort\":\"0\"}', '127.0.0.1', '1559274128', '1559274128');
INSERT INTO `tp_auth_admin_action` VALUES ('90', '1', 'news/type_update', '修改成功！', '{\"id\":\"6\",\"title\":\"一级2\",\"sort\":\"3\"}', '127.0.0.1', '1559274252', '1559274252');
INSERT INTO `tp_auth_admin_action` VALUES ('91', '1', 'news/type_delete', '共：1条数据，成功删除：1条！', '{\"id\":[{\"id\":\"6\"}]}', '127.0.0.1', '1559274256', '1559274256');
INSERT INTO `tp_auth_admin_action` VALUES ('92', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"0\",\"title\":\"一级分类\",\"sort\":\"0\"}', '127.0.0.1', '1559274338', '1559274338');
INSERT INTO `tp_auth_admin_action` VALUES ('93', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"7\",\"title\":\"二级分类\",\"sort\":\"0\"}', '127.0.0.1', '1559274345', '1559274345');
INSERT INTO `tp_auth_admin_action` VALUES ('94', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"8\",\"title\":\"三级分类\",\"sort\":\"0\"}', '127.0.0.1', '1559274362', '1559274362');
INSERT INTO `tp_auth_admin_action` VALUES ('95', '1', 'news/type_insert', '创建成功！', '{\"pid\":\"7\",\"title\":\"二级分类2\",\"sort\":\"0\"}', '127.0.0.1', '1559274371', '1559274371');
INSERT INTO `tp_auth_admin_action` VALUES ('96', '1', 'news/insert', '请输入文章标题', '{\"title\":\"\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"\"}', '127.0.0.1', '1559284553', '1559284553');
INSERT INTO `tp_auth_admin_action` VALUES ('97', '1', 'news/insert', '新增成功！', '{\"title\":\"123123\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"\"}', '127.0.0.1', '1559284557', '1559284557');
INSERT INTO `tp_auth_admin_action` VALUES ('98', '1', 'news/insert', '新增成功！', '{\"title\":\"123132\",\"type_id\":\"9\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"\"}', '127.0.0.1', '1559284604', '1559284604');
INSERT INTO `tp_auth_admin_action` VALUES ('99', '1', 'news/insert', '新增成功！', '{\"title\":\"11111111111\",\"type_id\":\"8\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"1111111111111111111111222222222222\"}', '127.0.0.1', '1559284730', '1559284730');
INSERT INTO `tp_auth_admin_action` VALUES ('100', '1', 'news/insert', '新增成功！', '{\"title\":\"12333333333\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"<p>12333333<\\/p><p>123333333333<\\/p><p>44444444444444<\\/p>\"}', '127.0.0.1', '1559284743', '1559284743');
INSERT INTO `tp_auth_admin_action` VALUES ('101', '1', 'news/delete', '共：4条数据，成功删除：4条！', '{\"id\":[{\"id\":\"4\",\"type_id\":\"7\",\"img\":\"\",\"title\":\"12333333333\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 14:39:03\",\"update_time\":\"2019-05-31 14:39:03\",\"content\":\"<p>12333333<\\/p><p>123333333333<\\/p><p>44444444444444<\\/p>\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"一级分类\"},{\"id\":\"3\",\"type_id\":\"8\",\"img\":\"\",\"title\":\"11111111111\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 14:38:50\",\"update_time\":\"2019-05-31 14:38:50\",\"content\":\"1111111111111111111111222222222222\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"二级分类\"},{\"id\":\"2\",\"type_id\":\"9\",\"img\":\"\",\"title\":\"123132\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 14:36:44\",\"update_time\":\"2019-05-31 14:36:44\",\"content\":\"\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"三级分类\"},{\"id\":\"1\",\"type_id\":\"7\",\"img\":\"\",\"title\":\"123123\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 14:35:57\",\"update_time\":\"2019-05-31 14:35:57\",\"content\":\"\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"一级分类\"}]}', '127.0.0.1', '1559284857', '1559284857');
INSERT INTO `tp_auth_admin_action` VALUES ('102', '1', 'news/insert', '新增成功！', '{\"title\":\"12132\",\"type_id\":\"8\",\"author\":\"123123\",\"des\":\"12312313\",\"sort\":\"0\",\"img\":\"\",\"content\":\"1233333333333333\"}', '127.0.0.1', '1559284867', '1559284867');
INSERT INTO `tp_auth_admin_action` VALUES ('103', '1', 'auth/menu_insert', '创建成功！', '{\"pid\":\"51\",\"name\":\"设置置顶\",\"controller\":\"news\",\"action\":\"top\",\"icon\":\"\",\"sort\":\"0\",\"status\":\"1\",\"display\":\"0\",\"public\":\"0\"}', '127.0.0.1', '1559284894', '1559284894');
INSERT INTO `tp_auth_admin_action` VALUES ('104', '1', 'news/status', '状态变更成功！', '{\"id\":\"5\",\"status\":\"1\"}', '127.0.0.1', '1559285307', '1559285307');
INSERT INTO `tp_auth_admin_action` VALUES ('105', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"1\"}', '127.0.0.1', '1559285309', '1559285309');
INSERT INTO `tp_auth_admin_action` VALUES ('106', '1', 'news/status', '状态变更成功！', '{\"id\":\"5\",\"status\":\"0\"}', '127.0.0.1', '1559285310', '1559285310');
INSERT INTO `tp_auth_admin_action` VALUES ('107', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"0\"}', '127.0.0.1', '1559285311', '1559285311');
INSERT INTO `tp_auth_admin_action` VALUES ('108', '1', 'news/status', '状态变更成功！', '{\"id\":\"5\",\"status\":\"1\"}', '127.0.0.1', '1559285313', '1559285313');
INSERT INTO `tp_auth_admin_action` VALUES ('109', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"0\"}', '127.0.0.1', '1559285315', '1559285315');
INSERT INTO `tp_auth_admin_action` VALUES ('110', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"0\"}', '127.0.0.1', '1559285317', '1559285317');
INSERT INTO `tp_auth_admin_action` VALUES ('111', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"0\"}', '127.0.0.1', '1559285319', '1559285319');
INSERT INTO `tp_auth_admin_action` VALUES ('112', '1', 'news/insert', '新增成功！', '{\"title\":\"测试\",\"type_id\":\"8\",\"author\":\"啊打\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"123123132\"}', '127.0.0.1', '1559285338', '1559285338');
INSERT INTO `tp_auth_admin_action` VALUES ('113', '1', 'news/insert', '新增成功！', '{\"title\":\"11111111111\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"啊大萨索达<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/82ef7e6b5a940ad162f3b7c15c0ca2ab.jpg\\\" alt=\\\"undefined\\\">\"}', '127.0.0.1', '1559286162', '1559286162');
INSERT INTO `tp_auth_admin_action` VALUES ('114', '1', 'news/insert', '新增成功！', '{\"title\":\"啊实打实大\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/1eef179b95be7fb2beeb1bef29c608d1.jpg\\\" alt=\\\"undefined\\\">\"}', '127.0.0.1', '1559286320', '1559286320');
INSERT INTO `tp_auth_admin_action` VALUES ('115', '1', 'news/insert', '新增成功！', '{\"title\":\"12313213\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\",\"content\":\"<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/a55c6dbcf852f2a64379067963f83fca.jpg\\\" alt=\\\"undefined\\\">\"}', '127.0.0.1', '1559286401', '1559286401');
INSERT INTO `tp_auth_admin_action` VALUES ('116', '1', 'news/top', '置顶变更成功！', '{\"id\":\"5\",\"top\":\"0\"}', '127.0.0.1', '1559286634', '1559286634');
INSERT INTO `tp_auth_admin_action` VALUES ('117', '1', 'news/top', '置顶变更成功！', '{\"id\":\"6\",\"top\":\"1\"}', '127.0.0.1', '1559286636', '1559286636');
INSERT INTO `tp_auth_admin_action` VALUES ('118', '1', 'news/top', '置顶变更成功！', '{\"id\":\"9\",\"top\":\"1\"}', '127.0.0.1', '1559286664', '1559286664');
INSERT INTO `tp_auth_admin_action` VALUES ('119', '1', 'news/top', '置顶变更成功！', '{\"id\":\"6\",\"top\":\"0\"}', '127.0.0.1', '1559286697', '1559286697');
INSERT INTO `tp_auth_admin_action` VALUES ('120', '1', 'news/delete', '共：3条数据，成功删除：3条！', '{\"id\":[{\"id\":\"8\",\"type_id\":\"7\",\"img\":\"src=\\\"\\/public\\/data\\/uploads\\/20190531\\/1eef179b95be7fb2beeb1bef29c608d1.jpg\\\"\",\"title\":\"啊实打实大\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 15:05:20\",\"update_time\":\"2019-05-31 15:05:20\",\"content\":\"<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/1eef179b95be7fb2beeb1bef29c608d1.jpg\\\" alt=\\\"undefined\\\">\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"一级分类\"},{\"id\":\"7\",\"type_id\":\"7\",\"img\":\"\",\"title\":\"11111111111\",\"des\":\"\",\"author\":\"\",\"create_time\":\"2019-05-31 15:02:42\",\"update_time\":\"2019-05-31 15:02:42\",\"content\":\"啊大萨索达<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/82ef7e6b5a940ad162f3b7c15c0ca2ab.jpg\\\" alt=\\\"undefined\\\">\",\"status\":\"0\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"一级分类\"},{\"id\":\"5\",\"type_id\":\"8\",\"img\":\"\",\"title\":\"12132\",\"des\":\"12312313\",\"author\":\"123123\",\"create_time\":\"2019-05-31 14:41:07\",\"update_time\":\"2019-05-31 15:10:34\",\"content\":\"1233333333333333\",\"status\":\"1\",\"top\":\"0\",\"sort\":\"0\",\"type_title\":\"二级分类\"}]}', '127.0.0.1', '1559286734', '1559286734');
INSERT INTO `tp_auth_admin_action` VALUES ('121', '1', 'news/update', '修改成功！', '{\"id\":\"9\",\"title\":\"12313213\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\\/public\\/data\\/uploads\\/20190531\\/a55c6dbcf852f2a64379067963f83fca.jpg\",\"content\":\"<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/a55c6dbcf852f2a64379067963f83fca.jpg\\\" alt=\\\"undefined\\\">\"}', '127.0.0.1', '1559287035', '1559287035');
INSERT INTO `tp_auth_admin_action` VALUES ('122', '1', 'news/update', '修改成功！', '{\"id\":\"9\",\"title\":\"12313213\",\"type_id\":\"7\",\"author\":\"\",\"des\":\"\",\"sort\":\"0\",\"img\":\"\\/public\\/data\\/uploads\\/20190531\\/a55c6dbcf852f2a64379067963f83fca.jpg\",\"content\":\"<img src=\\\"\\/public\\/data\\/uploads\\/20190531\\/a55c6dbcf852f2a64379067963f83fca.jpg\\\" alt=\\\"undefined\\\">\"}', '127.0.0.1', '1559287044', '1559287044');
INSERT INTO `tp_auth_admin_action` VALUES ('123', '1', 'news/top', '置顶变更成功！', '{\"id\":\"6\",\"top\":\"1\"}', '127.0.0.1', '1559287083', '1559287083');
INSERT INTO `tp_auth_admin_action` VALUES ('124', '1', 'news/status', '状态变更成功！', '{\"id\":\"6\",\"status\":\"1\"}', '127.0.0.1', '1559287084', '1559287084');
INSERT INTO `tp_auth_admin_action` VALUES ('125', '1', 'news/status', '状态变更成功！', '{\"id\":\"9\",\"status\":\"1\"}', '127.0.0.1', '1559287085', '1559287085');

-- ----------------------------
-- Table structure for tp_auth_admin_login
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_login`;
CREATE TABLE `tp_auth_admin_login` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `ip` varchar(32) DEFAULT NULL COMMENT 'IP',
  `province` varchar(32) DEFAULT NULL COMMENT '省',
  `city` varchar(32) DEFAULT NULL COMMENT '市',
  `area` varchar(32) DEFAULT NULL COMMENT '区',
  `create_time` int(19) DEFAULT NULL COMMENT '登录时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 登录日志表';

-- ----------------------------
-- Records of tp_auth_admin_login
-- ----------------------------
INSERT INTO `tp_auth_admin_login` VALUES ('9', '1', '127.0.0.1', '本地', '本地', '本地', '1557803947');
INSERT INTO `tp_auth_admin_login` VALUES ('10', '1', '127.0.0.1', '本地', '本地', '本地', '1557804145');
INSERT INTO `tp_auth_admin_login` VALUES ('11', '1', '127.0.0.1', '本地', '本地', '本地', '1557804744');
INSERT INTO `tp_auth_admin_login` VALUES ('12', '1', '127.0.0.1', '本地', '本地', '本地', '1559202819');
INSERT INTO `tp_auth_admin_login` VALUES ('13', '1', '127.0.0.1', '本地', '本地', '本地', '1559267135');

-- ----------------------------
-- Table structure for tp_auth_admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_admin_menu`;
CREATE TABLE `tp_auth_admin_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `admin` int(11) DEFAULT NULL COMMENT '管理ID',
  `menu_list` text COMMENT '权限id',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  KEY `admin` (`admin`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 独立权限';

-- ----------------------------
-- Records of tp_auth_admin_menu
-- ----------------------------
INSERT INTO `tp_auth_admin_menu` VALUES ('1', '1', '12,13,22,28,31,29,30', '1557737476', '1557801513');

-- ----------------------------
-- Table structure for tp_auth_menu
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_menu`;
CREATE TABLE `tp_auth_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `pid` int(11) DEFAULT '0' COMMENT '父id',
  `name` varchar(64) DEFAULT NULL COMMENT '菜单名称',
  `controller` varchar(64) DEFAULT NULL COMMENT '控制器名称',
  `action` varchar(128) DEFAULT NULL COMMENT '方法名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `icon` varchar(32) DEFAULT NULL COMMENT 'ICON 图标',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  `display` int(1) DEFAULT '1' COMMENT '是否在菜单显示 0|1 否|是',
  `public` int(1) DEFAULT '0' COMMENT '是否公共权限 0|1 否|是',
  `path` varchar(32) DEFAULT NULL COMMENT '完整路径',
  `level` tinyint(1) DEFAULT '1' COMMENT '等级',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 权限菜单';

-- ----------------------------
-- Records of tp_auth_menu
-- ----------------------------
INSERT INTO `tp_auth_menu` VALUES ('10', '0', '主页', 'index', 'index', '1', 'home', '0', '1557716671', '1557716671', '1', '1', '10', '1');
INSERT INTO `tp_auth_menu` VALUES ('11', '10', '控制台', 'index', 'main', '1', '', '0', '1557716698', '1557716698', '1', '1', '10/11', '2');
INSERT INTO `tp_auth_menu` VALUES ('12', '0', '系统设置', '', '', '1', 'set', '0', '1557716737', '1557716737', '1', '0', '12', '1');
INSERT INTO `tp_auth_menu` VALUES ('13', '12', '权限', '', '', '1', '', '0', '1557716778', '1557716778', '1', '0', '12/13', '2');
INSERT INTO `tp_auth_menu` VALUES ('14', '13', '菜单', 'auth', 'menu_list', '1', '', '0', '1557716800', '1557718556', '1', '0', '12/13/14', '3');
INSERT INTO `tp_auth_menu` VALUES ('15', '14', '新增', 'auth', 'menu_insert', '1', '', '0', '1557716835', '1557716835', '0', '0', '12/13/14/15', '4');
INSERT INTO `tp_auth_menu` VALUES ('16', '14', '修改', 'auth', 'menu_update', '1', '', '0', '1557717011', '1557717011', '0', '0', '12/13/14/16', '4');
INSERT INTO `tp_auth_menu` VALUES ('17', '14', '删除', 'auth', 'menu_delete', '1', '', '0', '1557717024', '1557717024', '0', '0', '12/13/14/17', '4');
INSERT INTO `tp_auth_menu` VALUES ('18', '13', '角色', 'auth', 'role_list', '1', '', '0', '1557718545', '1557718637', '1', '0', '12/13/18', '3');
INSERT INTO `tp_auth_menu` VALUES ('19', '18', '新增', 'auth', 'role_insert', '1', '', '0', '1557718577', '1557718577', '0', '0', '12/13/18/19', '4');
INSERT INTO `tp_auth_menu` VALUES ('20', '18', '修改', 'auth', 'role_update', '1', '', '0', '1557718629', '1557718642', '0', '0', '12/13/18/20', '4');
INSERT INTO `tp_auth_menu` VALUES ('21', '18', '删除', 'auth', 'role_delete', '1', '', '0', '1557718657', '1557718658', '0', '0', '12/13/18/21', '4');
INSERT INTO `tp_auth_menu` VALUES ('22', '13', '管理员', 'auth', 'admin_list', '1', '', '0', '1557730762', '1557730762', '1', '0', '12/13/22', '3');
INSERT INTO `tp_auth_menu` VALUES ('23', '22', '新增', 'auth', 'admin_insert', '1', '', '0', '1557730784', '1557730784', '0', '0', '12/13/22/23', '4');
INSERT INTO `tp_auth_menu` VALUES ('24', '22', '修改', 'auth', 'admin_update', '1', '', '0', '1557730795', '1557730795', '0', '0', '12/13/22/24', '4');
INSERT INTO `tp_auth_menu` VALUES ('25', '22', '删除', 'auth', 'admin_delete', '1', '', '0', '1557730811', '1557730811', '0', '0', '12/13/22/25', '4');
INSERT INTO `tp_auth_menu` VALUES ('26', '22', '独立权限', 'auth', 'admin_menu', '1', '', '0', '1557730830', '1557730830', '0', '0', '12/13/22/26', '4');
INSERT INTO `tp_auth_menu` VALUES ('27', '18', '权限设置', 'auth', 'role_menu', '1', '', '0', '1557798353', '1557798353', '0', '0', '12/13/18/27', '4');
INSERT INTO `tp_auth_menu` VALUES ('28', '22', '登录日志', 'auth', 'admin_login_log', '1', '', '0', '1557800490', '1557800496', '0', '0', '12/13/22/28', '4');
INSERT INTO `tp_auth_menu` VALUES ('29', '22', '操作日志', 'auth', 'admin_action_log', '1', '', '0', '1557800518', '1557800832', '0', '0', '12/13/22/29', '4');
INSERT INTO `tp_auth_menu` VALUES ('30', '29', '删除', 'auth', 'admin_login_delete', '1', '', '0', '1557801483', '1557801483', '0', '0', '12/13/22/29/30', '5');
INSERT INTO `tp_auth_menu` VALUES ('31', '28', '删除', 'auth', 'admin_action_delete', '1', '', '0', '1557801497', '1557801498', '0', '0', '12/13/22/28/31', '5');
INSERT INTO `tp_auth_menu` VALUES ('32', '10', '修改密码', 'auth', 'admin_pwd', '1', '', '0', '1557803756', '1557803756', '0', '1', '10/32', '2');
INSERT INTO `tp_auth_menu` VALUES ('33', '0', '网站管理', '', '', '1', 'set', '0', '1559203254', '1559203254', '1', '0', '33', '1');
INSERT INTO `tp_auth_menu` VALUES ('34', '33', '网站配置', 'config', 'index', '1', '', '0', '1559203268', '1559203268', '1', '0', '33/34', '2');
INSERT INTO `tp_auth_menu` VALUES ('35', '34', '修改', 'config', 'update', '1', '', '0', '1559203285', '1559203285', '0', '0', '33/34/35', '3');
INSERT INTO `tp_auth_menu` VALUES ('36', '33', '轮播图管理', '', '', '1', '', '0', '1559205193', '1559205193', '1', '0', '33/36', '2');
INSERT INTO `tp_auth_menu` VALUES ('37', '36', '分类', 'banner', 'type_list', '1', '', '0', '1559205263', '1559205263', '1', '0', '33/36/37', '3');
INSERT INTO `tp_auth_menu` VALUES ('38', '37', '新增', 'banner', 'type_insert', '1', '', '0', '1559205283', '1559205283', '0', '0', '33/36/37/38', '4');
INSERT INTO `tp_auth_menu` VALUES ('39', '37', '修改', 'banner', 'type_update', '1', '', '0', '1559205298', '1559205298', '0', '0', '33/36/37/39', '4');
INSERT INTO `tp_auth_menu` VALUES ('40', '37', '删除', 'banner', 'type_delete', '1', '', '0', '1559205312', '1559205312', '0', '0', '33/36/37/40', '4');
INSERT INTO `tp_auth_menu` VALUES ('41', '36', '轮播图', 'banner', 'index', '1', '', '0', '1559205334', '1559205334', '1', '0', '33/36/41', '3');
INSERT INTO `tp_auth_menu` VALUES ('42', '41', '新增', 'banner', 'insert', '1', '', '0', '1559205344', '1559205344', '0', '0', '33/36/41/42', '4');
INSERT INTO `tp_auth_menu` VALUES ('43', '41', '修改', 'banner', 'update', '1', '', '0', '1559205357', '1559205357', '0', '0', '33/36/41/43', '4');
INSERT INTO `tp_auth_menu` VALUES ('44', '41', '删除', 'banner', 'delete', '1', '', '0', '1559205368', '1559205368', '0', '0', '33/36/41/44', '4');
INSERT INTO `tp_auth_menu` VALUES ('45', '41', '修改状态', 'banner', 'status', '1', '', '0', '1559268817', '1559268817', '0', '0', '33/36/41/45', '4');
INSERT INTO `tp_auth_menu` VALUES ('46', '33', '文章管理', '', '', '1', '', '0', '1559269355', '1559269355', '1', '0', '33/46', '2');
INSERT INTO `tp_auth_menu` VALUES ('47', '46', '分类', 'news', 'type_list', '1', '', '0', '1559269374', '1559269385', '1', '0', '33/46/47', '3');
INSERT INTO `tp_auth_menu` VALUES ('48', '47', '新增', 'news', 'type_insert', '1', '', '0', '1559269547', '1559269547', '0', '0', '33/46/47/48', '4');
INSERT INTO `tp_auth_menu` VALUES ('49', '47', '删除', 'news', 'type_delete', '1', '', '0', '1559269564', '1559269564', '0', '0', '33/46/47/49', '4');
INSERT INTO `tp_auth_menu` VALUES ('50', '47', '修改', 'news', 'type_update', '1', '', '0', '1559269579', '1559269579', '0', '0', '33/46/47/50', '4');
INSERT INTO `tp_auth_menu` VALUES ('51', '46', '文章', 'news', 'index', '1', '', '0', '1559271960', '1559271960', '1', '0', '33/46/51', '3');
INSERT INTO `tp_auth_menu` VALUES ('52', '51', '新增', 'news', 'insert', '1', '', '0', '1559271973', '1559271973', '0', '0', '33/46/51/52', '4');
INSERT INTO `tp_auth_menu` VALUES ('53', '51', '修改', 'news', 'update', '1', '', '0', '1559271982', '1559271982', '0', '0', '33/46/51/53', '4');
INSERT INTO `tp_auth_menu` VALUES ('54', '51', '删除', 'news', 'delete', '1', '', '0', '1559271994', '1559271994', '0', '0', '33/46/51/54', '4');
INSERT INTO `tp_auth_menu` VALUES ('55', '51', '修改状态', 'news', 'status', '1', '', '0', '1559272006', '1559272006', '0', '0', '33/46/51/55', '4');
INSERT INTO `tp_auth_menu` VALUES ('56', '51', '设置置顶', 'news', 'top', '1', '', '0', '1559284894', '1559284894', '0', '0', '33/46/51/56', '4');

-- ----------------------------
-- Table structure for tp_auth_role
-- ----------------------------
DROP TABLE IF EXISTS `tp_auth_role`;
CREATE TABLE `tp_auth_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL COMMENT '角色名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `menu_list` text COMMENT '权限列表，用逗号分隔',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 角色';

-- ----------------------------
-- Records of tp_auth_role
-- ----------------------------
INSERT INTO `tp_auth_role` VALUES ('4', '测试', '1', '12,13,14,15,16,17,18,19,20,21,27,22,23,24,25,26', '1557726285', '1557798370');

-- ----------------------------
-- Table structure for tp_banner
-- ----------------------------
DROP TABLE IF EXISTS `tp_banner`;
CREATE TABLE `tp_banner` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_id` int(11) NOT NULL COMMENT '分类ID',
  `title` varchar(100) DEFAULT NULL COMMENT '标题',
  `des` varchar(255) DEFAULT NULL COMMENT '摘要',
  `href` varchar(255) DEFAULT NULL COMMENT '超链接',
  `img` varchar(255) DEFAULT NULL COMMENT '图片链接',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `status` tinyint(1) DEFAULT '0' COMMENT '轮播图状态 0|1关闭|开启',
  `create_time` int(10) DEFAULT NULL,
  `update_time` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `type_id` (`type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='CMS - 轮播图表';

-- ----------------------------
-- Records of tp_banner
-- ----------------------------
INSERT INTO `tp_banner` VALUES ('1', '2', '测试', '测试而已', 'http://www.c.com/', '/public/data/uploads/20190531/5984c6f72b43cbc87d65aef74538694a.jpg', '10', '0', '1559268401', '1559269209');

-- ----------------------------
-- Table structure for tp_banner_type
-- ----------------------------
DROP TABLE IF EXISTS `tp_banner_type`;
CREATE TABLE `tp_banner_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(64) DEFAULT NULL COMMENT '分类名称',
  `sort` int(3) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL,
  `update_time` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='CMS -轮播图分类表';

-- ----------------------------
-- Records of tp_banner_type
-- ----------------------------
INSERT INTO `tp_banner_type` VALUES ('2', '2222', '1', '1559208086', '1559208158');
INSERT INTO `tp_banner_type` VALUES ('3', '444', '0', '1559208090', '1559208153');

-- ----------------------------
-- Table structure for tp_config
-- ----------------------------
DROP TABLE IF EXISTS `tp_config`;
CREATE TABLE `tp_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL COMMENT '网站标题',
  `keys` varchar(255) DEFAULT NULL COMMENT '网站关键词',
  `des` varchar(255) DEFAULT NULL COMMENT '网站描述',
  `footer` varchar(255) DEFAULT NULL COMMENT '页脚',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='CMS - 网站配置表';

-- ----------------------------
-- Records of tp_config
-- ----------------------------
INSERT INTO `tp_config` VALUES ('1', '3', '4', '5', null);

-- ----------------------------
-- Table structure for tp_news
-- ----------------------------
DROP TABLE IF EXISTS `tp_news`;
CREATE TABLE `tp_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_id` int(11) DEFAULT NULL COMMENT '分类ID',
  `img` varchar(255) DEFAULT NULL COMMENT '缩略图',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `des` varchar(255) DEFAULT NULL COMMENT '摘要',
  `author` varchar(255) DEFAULT NULL COMMENT '作者',
  `create_time` int(10) DEFAULT NULL,
  `update_time` int(10) DEFAULT NULL,
  `content` mediumtext COMMENT '内容',
  `status` tinyint(1) DEFAULT '0' COMMENT '状态 0|1 关闭|开启',
  `top` tinyint(1) DEFAULT '0' COMMENT '是否置顶 0|1 否|是',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  PRIMARY KEY (`id`),
  KEY `title` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COMMENT='CMS - 文章表';

-- ----------------------------
-- Records of tp_news
-- ----------------------------
INSERT INTO `tp_news` VALUES ('6', '8', '/public/data/uploads/20190531/90d06bd341e3b0061c46e829bb1aac0d.jpg', '测试', '', '啊打', '1559285338', '1559287084', '123123132', '1', '1', '0');
INSERT INTO `tp_news` VALUES ('9', '7', '/public/data/uploads/20190531/a55c6dbcf852f2a64379067963f83fca.jpg', '12313213', '', '', '1559286401', '1559287085', '<img src=\"/public/data/uploads/20190531/a55c6dbcf852f2a64379067963f83fca.jpg\" alt=\"undefined\">', '1', '1', '0');

-- ----------------------------
-- Table structure for tp_news_type
-- ----------------------------
DROP TABLE IF EXISTS `tp_news_type`;
CREATE TABLE `tp_news_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) DEFAULT NULL COMMENT '父ID',
  `title` varchar(255) DEFAULT NULL COMMENT '分类名称',
  `path` varchar(255) DEFAULT NULL COMMENT '完整路径',
  `level` int(11) DEFAULT '1' COMMENT '等级',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL,
  `update_time` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COMMENT='CMS - 文章分类表';

-- ----------------------------
-- Records of tp_news_type
-- ----------------------------
INSERT INTO `tp_news_type` VALUES ('7', '0', '一级分类', '7', '1', '0', '1559274338', '1559274338');
INSERT INTO `tp_news_type` VALUES ('8', '7', '二级分类', '7/8', '2', '0', '1559274345', '1559274345');
INSERT INTO `tp_news_type` VALUES ('9', '8', '三级分类', '7/8/9', '3', '0', '1559274362', '1559274362');
INSERT INTO `tp_news_type` VALUES ('10', '7', '二级分类2', '7/10', '2', '0', '1559274371', '1559274371');
